Arbor 3: FSM & BT Graph Editor 3.6.8

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleLong Class Reference

参照方法が複数ある柔軟なlong型を扱うクラス。 More...

Inheritance diagram for FlexibleLong:

## Public Member Functions
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleLong ()
| FlexibleLongデフォルトコンストラクタ More...
| FlexibleLong (long value)
| FlexibleLongコンストラクタ More...
| FlexibleLong (LongParameterReference parameter)
| FlexibleLongコンストラクタ More...
| FlexibleLong (long minRange, long maxRange)
| FlexibleLongコンストラクタ More...
| FlexibleLong (InputSlotLong slot)
| FlexibleLongコンストラクタ More...

## Static Public Member Functions
static | operator long (FlexibleLong flexible)
| FlexibleLongをlongにキャスト。 More...
static | operator FlexibleLong (long value)
| longをFlexibleLongにキャスト。 More...

## Properties
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
long | value`[get]`
| 値を返す More...
InputSlotLong | slot`[get]`
| スロットを返す More...
Properties inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | type`[get]`
| Typeを返す More...

## Additional Inherited Members
Protected Attributes inherited from FlexiblePrimitiveBase
FlexiblePrimitiveType | _Type = FlexiblePrimitiveType.Constant
| プリミティブ型の参照タイプ More...

## Detailed Description

参照方法が複数ある柔軟なlong型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleLong() [1/5]

FlexibleLong | ( |  | ) |

FlexibleLongデフォルトコンストラクタ

## ◆ FlexibleLong() [2/5]

FlexibleLong | ( | long | value | ) |

FlexibleLongコンストラクタ

Parameters

  value | 値

## ◆ FlexibleLong() [3/5]

FlexibleLong | ( | LongParameterReference | parameter | ) |

FlexibleLongコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleLong() [4/5]

FlexibleLong | ( | long | minRange,
|  | long | maxRange
| ) |  |

FlexibleLongコンストラクタ

Parameters

  minRange | 最小範囲。
  maxRange | 最大範囲。

## ◆ FlexibleLong() [5/5]

FlexibleLong | ( | InputSlotLong | slot | ) |

FlexibleLongコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ GetValueObject()

override object GetValueObject | ( |  | ) |
| virtual

値をobjectで返す。

Returns
  値のobject

Implements FlexiblePrimitiveBase.

## ◆ operator FlexibleLong()

static operator FlexibleLong | ( | long | value | ) |
| explicit static

longをFlexibleLongにキャスト。

Parameters

  value | long

## ◆ operator long()

static operator long | ( | FlexibleLong | flexible | ) |
| explicit static

FlexibleLongをlongにキャスト。

Parameters

  flexible | FlexibleLong

## Property Documentation

## ◆ parameter

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

## ◆ slot

InputSlotLong slot
| get

スロットを返す

## ◆ value

long value
| get

値を返す